[vdr] VDR support for V4 API

Johannes Stezenbach js at linuxtv.org
Thu Sep 15 12:11:11 CEST 2005


On Wed, Sep 14, 2005 at 11:05:32PM -0700, C.Y.M wrote:
> Has anyone attempted to update the patch to VDR for the dvb-kernel V4 API?  I
> noticed there is a patch already there for vdr-1.3.9 (vdr-1.3.9-v4.patch).  I
> was just wondering if anyone has tried this lately.  It seems the V4 API is
> better suited for full featured dvb cards and the V3 API for "budget" cards.  It
> would be nice to get started testing with it.

That was an old proof-of-concept hack, which hasn't been updated
for the current V4 API, and current vdr.
Also, I believe the V4 av7110 driver is currently broken, so
there's not a single public driver which supports the V4 API.

(The Toshiba guys use the V4 API for one of their STB SoCs,
which is what Michael Hunold does for a living nowadays.)

Johannes



More information about the vdr mailing list